### Method

# Gegl MetadataStoreget_file_module_name

#### Declaration [src]

    const gchar*
    gegl_metadata_store_get_file_module_name (
      GeglMetadataStore* self
    )

#### Description [src]

Return the name registered by the current file module.

Gets property | `Gegl.MetadataStore:file-module-name`

#### Return value

Type: `const gchar*`

Current file module name or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.